import Actor from "../actor/Actor";
import { ISpotlightOptions } from "../utils/options/ISpotlightOptions";
export default class Spotlight {
    private readonly spot;
    private readonly sign;
    private readonly targets;
    private currentActorIndex;
    private readonly options;
    private isSwitching;
    static instance: Spotlight;
    private readonly sizeWatcher;
    constructor(options?: ISpotlightOptions);
    addActors(...actors: Actor[]): void;
    toggleSpot(): boolean;
    update(): void;
    next(): void;
    previous(): void;
    private _focusActor;
}
