"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Environment {
    static getGreaterWindowDimension() {
        const doc = document.documentElement;
        // returns more than 1x maximum dimension to cover border-radius space
        return doc.scrollHeight > doc.scrollWidth ?
            `${doc.scrollHeight * 1.1}px` : `${doc.scrollWidth * 1.1}px`;
    }
}
exports.Environment = Environment;
