import { SignPosition } from "../../sign/SignPosition";
export interface ISpotlightOptions {
    allowHiddenFocus?: boolean;
    autoScroll?: boolean;
    centerActorOnFocus?: boolean;
    delay?: number;
    loops?: boolean;
    matchRadius?: boolean;
    onBackgroundClick?: Function;
    onEnd?: Function;
    onFocus?: Function;
    onFocused?: Function;
    onLightsOff?: Function;
    preventContentClicking?: boolean;
    preventFocusSpam?: boolean;
    resetOnEnd?: boolean;
    resetOnLightsOff?: boolean;
    shadowColor?: string;
    showSign?: boolean;
    showControls?: boolean;
    signHTML?: string;
    signPosition?: SignPosition;
    signText?: string;
    signTitle?: string;
}
